From IT Skills
Jump to: navigation, search
(grunt-electron-installer)
 
Line 12: Line 12:
 
== [https://www.npmjs.com/package/electron-builder electron-builder] ==
 
== [https://www.npmjs.com/package/electron-builder electron-builder] ==
 
[https://github.com/electron-userland/electron-builder electron-builder] has good example of real-world application and [[:Category:Projects setups|Projects setups]] wizards written on [[TypeScript]]. It is written that [[Autoupdate]] in Linux is supported...
 
[https://github.com/electron-userland/electron-builder electron-builder] has good example of real-world application and [[:Category:Projects setups|Projects setups]] wizards written on [[TypeScript]]. It is written that [[Autoupdate]] in Linux is supported...
== grunt-electron-installer ==
+
== [[grunt]]-electron-installer ==
 
npm install --save-dev grunt-electron-installer
 
npm install --save-dev grunt-electron-installer
 +
 
= Other =
 
= Other =
 
== [https://github.com/szwacz/electron-boilerplate electron-boilerplace] ==
 
== [https://github.com/szwacz/electron-boilerplate electron-boilerplace] ==

Latest revision as of 11:02, 12 August 2019

Install[edit | edit source]

  • npm install -g electron-prebuilt

electron-packager[edit | edit source]

for binaries and sources distribution

npm install -g electron-packager

and for every project

  • npm install --save-dev electron-prebuilt

Autoupdate[edit | edit source]

electron-builder[edit | edit source]

electron-builder has good example of real-world application and Projects setups wizards written on TypeScript. It is written that Autoupdate in Linux is supported...

grunt-electron-installer[edit | edit source]

npm install --save-dev grunt-electron-installer

Other[edit | edit source]

electron-boilerplace[edit | edit source]

it does not use #electron-packager but NSIS and it plans to Autoupdate not by Squirrel but by NSIS script!

Linux[edit | edit source]

http://electron.atom.io/docs/development/build-instructions-linux/